package com.adealink.weparty.hardware.resource

import android.Manifest
import com.adealink.frame.util.AppUtil
import com.adealink.weparty.hardware.Hardware
import com.adealink.weparty.permission.PermissionUtils

class MicResource : HardwareResource(Hardware.MIC, true) {
    override fun checkClientPermission(clientId: String): Boolean {
        return PermissionUtils.hasPermissions(AppUtil.appContext, Manifest.permission.RECORD_AUDIO)
    }
}